package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMerchantStatus {

    NOT_VALID(0, "已停用"),
    VALID(1, "可用"),
    ;

    public static EnumMerchantStatus getEnum(Integer code) {
        for (EnumMerchantStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMerchantStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
